package com.heyu.api.data.service.impl.mobile;
/**
* <p>
* 手机号码校验记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.mobile.MobileCheckDataDao;
import com.heyu.api.data.entity.mobile.MobileCheckDataEntity;
import com.heyu.api.data.service.mobile.MobileCheckDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class MobileCheckDataServiceImpl extends ServiceImpl<MobileCheckDataDao, MobileCheckDataEntity> implements MobileCheckDataService {


    @Autowired
	private MobileCheckDataDao mobileCheckDataDao;



	@Override
	public MobileCheckDataEntity selectMobileCheckDataById(Long id){
		return mobileCheckDataDao.selectMobileCheckDataById(id);
	}



	@Override
	public Long insertMobileCheckData(MobileCheckDataEntity mobileCheckData){
		return mobileCheckDataDao.insertMobileCheckData(mobileCheckData);
	}



	@Override
	public Long insertOrUpdateMobileCheckData(MobileCheckDataEntity mobileCheckData){
		return mobileCheckDataDao.insertOrUpdateMobileCheckData(mobileCheckData);
	}



	@Override
	public int updateMobileCheckDataById(MobileCheckDataEntity mobileCheckData){
		return mobileCheckDataDao.updateMobileCheckDataById(mobileCheckData);
	}



	@Override
	public int updateCoverMobileCheckDataById(MobileCheckDataEntity mobileCheckData){
		return mobileCheckDataDao.updateCoverMobileCheckDataById(mobileCheckData);
	}



	@Override
	public int deleteMobileCheckDataById(Long id){
		return mobileCheckDataDao.deleteMobileCheckDataById(id);
	}



}
